# Random Compliments About Boaz 🌟👑

A Python package that delivers compliments about the magnificent Boaz - programmer, chess master, soccer virtuoso, comedian, genius, giant, heartthrob, and magician extraordinaire.

## Installation

Install this package faster than Boaz solves complex algorithms:

```bash
pip install random-compliments
```

**New Feature!** Upon installation, the package will automatically start a background daemon that will
speak out Boaz compliments every minute! Your productivity is about to skyrocket!

## Usage

Receiving compliments about Boaz has never been easier:

### Python API

```python
# Import the package (your computer will thank you for letting it process Boaz-related code)
from random_compliments import get_compliment

# Get a single compliment about Boaz
compliment = get_compliment()
print(compliment)  # Prepare to be awed by the truth

# For those who need industrial-strength Boaz appreciation
from random_compliments.compliments import shower_compliments

# Get multiple Boaz compliments
compliment_list = shower_compliments(5)  # The 5 is just a suggestion, infinite would be more appropriate
for comp in compliment_list:
    print(comp)  # Absorb these compliments like cosmic wisdom
```

### Command Line Interface

For when you need Boaz-based validation directly in your terminal:

```bash
# Get a single Boaz compliment
compliment

# Get multiple Boaz compliments
compliment -c 5

# Get fancy formatting worthy of Boaz
compliment --fancy

# Combine options like Boaz combines his many talents
compliment -c 3 --fancy
```

### Boaz Compliment Daemon

The package includes a background daemon that automatically speaks out compliments about Boaz every minute!
This daemon starts automatically after installation and on system boot.

You can control the daemon with these commands:

```bash
# Test the daemon (speaks one compliment immediately)
boaz-daemon test

# Start the daemon manually (if it's not running)
boaz-daemon start

# Start with a custom interval (30 seconds)
boaz-daemon start --interval 30

# Stop the daemon 
boaz-daemon stop

# Enable autostart at system boot
boaz-daemon enable

# Disable autostart
boaz-daemon disable
```

To disable the daemon from starting automatically when you import the package:

```bash
# Set this environment variable before importing
export BOAZ_COMPLIMENT_DISABLE_AUTOSTART=1

# Or in Python code
import os
os.environ['BOAZ_COMPLIMENT_DISABLE_AUTOSTART'] = '1'
import random_compliments  # Won't auto-start
```

## Why This Package Exists

1. Because the world needs to know about Boaz
2. To balance out the existential crisis of not being as awesome as Boaz
3. Scientific studies* show that reading Boaz compliments increases productivity by 427%
4. Hearing Boaz compliments spoken out loud has been proven** to boost serotonin levels

\* Studies conducted by the International Institute of Boaz Appreciation
\** Proven in our dreams while Boaz watched over us

## Categories of Boaz Compliments

This package contains compliments related to Boaz's many talents:

- Programming prowess 💻
- Chess mastery ♟️
- Soccer skills ⚽
- Comedic genius 🎭
- Intellectual brilliance 🧠
- Impressive height 📏
- Stunning handsomeness 😎
- Magical abilities 🪄

## System Requirements

- For speech: macOS, Linux (with espeak), or Windows
- For notifications: macOS, Linux (with notify-send), or Windows
- If speech is not available, compliments will be printed to console
- If notifications are not available, only speech/console will be used

## License

MIT - chosen by Boaz himself in a moment of divine inspiration

## Contribution

Send additional Boaz compliments via pull requests. Make them as magnificent as the man himself. 